<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>Regions (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Regions (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/Regions.html" target="_top">Frames</a></li>
<li><a href="Regions.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions</div>
<h2 title="Class Regions" class="title">Class Regions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.regions.Regions</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Regions</span>
extends java.lang.Object</pre>
<div class="block">Utility methods relating to <a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions"><code>Region</code></a>s.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions">FlatRegion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/Regions.html#asFlatRegion-com.sk89q.worldedit.regions.Region-">asFlatRegion</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Attempt to get a <a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><code>FlatRegion</code></a> from the given region.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/Regions.html#maximumBlockY-com.sk89q.worldedit.regions.Region-">maximumBlockY</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get the maximum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMaximumPoint--"><code>Region.getMaximumPoint()</code></a> method.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/Regions.html#maximumY-com.sk89q.worldedit.regions.Region-">maximumY</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get the maximum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMaximumPoint--"><code>Region.getMaximumPoint()</code></a> method.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/Regions.html#minimumBlockY-com.sk89q.worldedit.regions.Region-">minimumBlockY</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get the minimum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMinimumPoint--"><code>Region.getMinimumPoint()</code></a> method.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/Regions.html#minimumY-com.sk89q.worldedit.regions.Region-">minimumY</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get the minimum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMinimumPoint--"><code>Region.getMinimumPoint()</code></a> method.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="minimumY-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minimumY</h4>
<pre>public static&nbsp;double&nbsp;minimumY(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Get the minimum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMinimumPoint--"><code>Region.getMinimumPoint()</code></a> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y coordinate</dd>
</dl>
</li>
</ul>
<a name="maximumY-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maximumY</h4>
<pre>public static&nbsp;double&nbsp;maximumY(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Get the maximum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMaximumPoint--"><code>Region.getMaximumPoint()</code></a> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y coordinate</dd>
</dl>
</li>
</ul>
<a name="minimumBlockY-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minimumBlockY</h4>
<pre>public static&nbsp;int&nbsp;minimumBlockY(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Get the minimum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMinimumPoint--"><code>Region.getMinimumPoint()</code></a> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y coordinate</dd>
</dl>
</li>
</ul>
<a name="maximumBlockY-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maximumBlockY</h4>
<pre>public static&nbsp;int&nbsp;maximumBlockY(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Get the maximum Y coordinate of the given region using the region's
 <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMaximumPoint--"><code>Region.getMaximumPoint()</code></a> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y coordinate</dd>
</dl>
</li>
</ul>
<a name="asFlatRegion-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>asFlatRegion</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions">FlatRegion</a>&nbsp;asFlatRegion(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block">Attempt to get a <a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><code>FlatRegion</code></a> from the given region.

 <p>If the given region is already a <a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><code>FlatRegion</code></a>, then the region
 will be cast and returned. Otherwise, a new <a href="../../../../com/sk89q/worldedit/regions/CuboidRegion.html" title="class in com.sk89q.worldedit.regions"><code>CuboidRegion</code></a> will
 be created covers the provided region's minimum and maximum extents.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flat region</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/RegionSelector.html" title="interface in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/Regions.html" target="_top">Frames</a></li>
<li><a href="Regions.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
